summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:33:10 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:10 +0200
commitcf920236946d195f8a22ab20510a736e3227ef08 (patch)
tree1da132aa3b6d9dadd1368f425e474bba3a857369
parent73384fb71bbce0dc1ed46840ad290213a613e2a0 (diff)
downloadslackbuilds-cf920236946d195f8a22ab20510a736e3227ef08.tar.gz
slackbuilds-cf920236946d195f8a22ab20510a736e3227ef08.tar.xz
system/atari++: Added to 12.2 repository
-rw-r--r--system/atari++/README29
-rw-r--r--system/atari++/atari++.SlackBuild88
-rw-r--r--system/atari++/atari++.desktop10
-rw-r--r--system/atari++/atari++.info8
-rw-r--r--system/atari++/atari++.pngbin0 -> 310 bytes
-rw-r--r--system/atari++/doinst.sh6
-rw-r--r--system/atari++/slack-desc19
7 files changed, 160 insertions, 0 deletions
diff --git a/system/atari++/README b/system/atari++/README
new file mode 100644
index 0000000000..cca3ed3112
--- /dev/null
+++ b/system/atari++/README
@@ -0,0 +1,29 @@
+The Atari++ Emulator is a Unix based emulator of the Atari eight bit
+computers, namely the Atari 400 and 800, the Atari 600XL, 800XL and 130XE,
+and the Atari 5200 game console. The emulator is auto-configurable and
+will compile on a variety of systems (Linux, Solaris, Irix), and supports
+many emulation features.
+
+Atari++ includes OS++, an open source replacement Atari 8-bit operating
+system, so it's able to run many games and applications without the
+Atari ROM images. However, for maximum compatibility, you probably will
+want the original ROMs. To get them, install the atari800_roms package,
+then use the atari++ GUI to set the ROM file paths to the images in
+/usr/share/atari800/roms/. There is no need to install the atari800_os++
+package for use with atari++ (OS++ is built into the emulator).
+
+Notes:
+
+1. Atari++, by default, is built with a fancy set of CFLAGS that the
+author includes in his makefile. If you're picky about such things, or if
+you run into crashes or compile errors, try setting FORCE_SLACK_CFLAGS=yes
+in the environment before running atari++.SlackBuild
+
+2. The Atari++ author doesn't use a version number in the filename of
+the atari++.tgz distribution, and doesn't keep old versions available
+on the site. This script was written for Atari++ version 1.55. By the
+time you read this, there may be a new release. This script will extract
+the version number from atari++.tgz and set the VERSION in the package
+correctly, so you don't need to edit anything... but if there have been
+major changes to the Atari++ codebase, the script might fail on the
+latest version. Please contact the maintainer, in that case.
diff --git a/system/atari++/atari++.SlackBuild b/system/atari++/atari++.SlackBuild
new file mode 100644
index 0000000000..d0fa8b9f7d
--- /dev/null
+++ b/system/atari++/atari++.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for atari++
+
+# Written by B. Watson (yalhcru@gmail.com)
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=atari++
+VERSION=${VERSION:-1.55}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Do you want to force the package to be compiled with standard
+# Slackware CFLAGS, as set below? The author's makefile includes
+# a fancy set of flags, which the program has presumably been tested
+# with, so it should be fine to use them. If you're a stickler about
+# Slackware-ism, you can build with FORCE_SLACK_CFLAGS=yes to use
+# $SLKCFLAGS instead of the author's.
+FORCE_SLACK_CFLAGS=${FORCE_SLACK_CFLAGS:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+if [ "$FORCE_SLACK_CFLAGS" = "yes" ]; then
+ make OPTIMIZER="$SLKCFLAGS"
+else
+ make
+fi
+
+# no DESTDIR support, --mandir is ignored, docs go to /usr/share/doc,
+# let's not use `make install' at all.
+mkdir -p $PKG/usr/bin $PKG/usr/man/man1 $PKG/usr/doc/$PRGNAM-$VERSION
+
+install -s -m0755 -o root -g root $PRGNAM $PKG/usr/bin
+
+# Man page should be section 1, not 6
+sed -e 's/^\(\.TH atari++\) 6/\1 1/' < $PRGNAM.man | \
+ gzip -9c - > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp COPYRIGHT CREDITS ARCHITECTURE \
+ README.History README.LEGAL README.licence \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/atari++/atari++.desktop b/system/atari++/atari++.desktop
new file mode 100644
index 0000000000..dc5bfafc34
--- /dev/null
+++ b/system/atari++/atari++.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=Atari++ Emulator
+GenericName=Atari 8-Bit Emulator
+Type=Application
+Exec=atari++
+Icon=atari++
+Terminal=false
+StartupNotify=false
+Categories=Emulator;System;
diff --git a/system/atari++/atari++.info b/system/atari++/atari++.info
new file mode 100644
index 0000000000..3856e34c0f
--- /dev/null
+++ b/system/atari++/atari++.info
@@ -0,0 +1,8 @@
+PRGNAM="atari++"
+VERSION="1.55"
+HOMEPAGE="http://www.math.tu-berlin.de/~thor/atari++/"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/atari++-1.55.tar.gz"
+MD5SUM="af6a67b303ef37b1f34ef48ed48fab51"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/system/atari++/atari++.png b/system/atari++/atari++.png
new file mode 100644
index 0000000000..3fa1a474ed
--- /dev/null
+++ b/system/atari++/atari++.png
Binary files differ
diff --git a/system/atari++/doinst.sh b/system/atari++/doinst.sh
new file mode 100644
index 0000000000..1200935822
--- /dev/null
+++ b/system/atari++/doinst.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/atari++/slack-desc b/system/atari++/slack-desc
new file mode 100644
index 0000000000..808c822922
--- /dev/null
+++ b/system/atari++/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+atari++: atari++ (Atari 400/800/XL/XE/5200 emulator)
+atari++:
+atari++: The Atari++ Emulator is a Unix based emulator of the Atari eight
+atari++: bit computers, namely the Atari 400 and 800, the Atari 600XL,
+atari++: 800XL and 130XE, and the Atari 5200 game console. The emulator is
+atari++: auto-configurable and will compile on a variety of systems (Linux,
+atari++: Solaris, Irix), and supports many emulation features.
+atari++:
+atari++:
+atari++:
+atari++: